+ Post New Thread
Page 1 of 582 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 14540

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 49,972
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 55,457
    18th Sep 2006 10:46 pm Go to last post
  1. Tough Questions - Closed Polyline Tool (Shrinkwrap) Lisp

    AutoCAD 2007 I have a quite a few tough questions/requests and I am currently looking for some lisps to solve them. I have been doing some searching online to find the lisps I need, and although I...

    Started by johnshar123xx‎, 30th Nov 2009 03:30 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 5,004
    Today 12:22 am Go to last post
  2. Repeat or Loop within DCL?

    Whats up everyone? I've been learning alot about DCL and I'm actually enjoying it. I'm stuck and need some help solving my issue. My DCL has you pick a point then displays the coordinates. I...

    Started by jonathann3891‎, Yesterday 01:24 pm
    • Replies: 3
    • Views: 106
    Yesterday 06:30 pm Go to last post
  3. Stretch multiple base point polylines to different distance

    Hi all, Is this possible to stretch polylines with multiple base point to different distance but same direction? M4rdy

    Started by m4rdy‎, 16th Aug 2016 05:15 pm
    • Replies: 6
    • Views: 337
    Yesterday 05:43 pm Go to last post
  4. Lisp to import X,Y,Z,LENGTH,ANGLE TO CAD

    i tried using the SCRIPT command, but its not quite the one i need! because what i have in excel are: Start X,Start Y,End X,End Y,Start Z,End Z,Length,Angle i want to import these coordinates to...

    Started by ktbjx‎, 24th Aug 2016 07:10 am
    • Replies: 8
    • Views: 296
    Yesterday 01:53 pm Go to last post
  5. Find where are stored information about an entity

    Hello everyone! I've a tool that allow to draw reinforcing steel. The problem is that the quote with the number of the steel bars is always "1" instead of the real number.. seems that the code is...

    Started by MastroLube‎, 23rd Aug 2016 09:25 am
    3 Pages
    1 2 3
    • Replies: 26
    • Views: 490
    Yesterday 11:38 am Go to last post
  6. How to Entmod an entity if it has more dxf goup code with the same number

    Hello everyone, just a little question.. I've to entmod an entity but it has a lot of parameters. ((-1 . <Nome entità: 7ff5ff013970>) (0 . "XRECORD") (5 ....

    Started by MastroLube‎, 24th Aug 2016 04:12 pm
    • Replies: 3
    • Views: 167
    Yesterday 10:30 am Go to last post
  7. Replace block, but keeping old attributes

    Hello, I'm looking for something like the following: I have a drawing with a lot of similar or nearly equal blocks. Unfortunately each block has a unique name so it's not a block reference. But...

    Started by Dandy‎, 15th Aug 2016 08:38 am
    • Replies: 7
    • Views: 416
    Yesterday 07:17 am Go to last post
  8. LISP for logon to Vault

    Hi, I try to make a Lisp for automatically logon to Vault at the my s::startup Lisp, but I got some additional user prompts I don't want. I started with: (if (not (command "-VLTLOGIN"...

    Started by Bluebird1973‎, Yesterday 05:59 am
    • Replies: 0
    • Views: 94
    Yesterday 05:59 am Go to last post
  9. XDATA - Elec Conduits, Cable & Equipment

    Hi All, After months of playing around (pulling my hair out), I'm finally posting my question because I'm stumped at where to go with this. My lisp skills are a work in progress and are a product...

    Started by nimble87‎, 22nd Aug 2016 11:01 pm
    • Replies: 3
    • Views: 263
    Yesterday 05:52 am Go to last post
  10. Convert BricsCAD's LISP to run on AutoCAD

    This LISP runs on BricsCAD but has an error when running on AutoCAD 2014. Please help to covert the below LISP to run on AutoCAD 2014. Thanks (defun c:test ( / nentselLst nestLevel) (if ...

    Started by ctrlaltdel‎, 24th Aug 2016 04:00 pm
    • Replies: 7
    • Views: 228
    Yesterday 03:45 am Go to last post
  11. Need to Add a Variable to a LISP

    Hello, I have this LISP that matches C3D point properties, but doesn't include the point label rotation. As I was looking through the code, it seems that I could just add a line in, but I don't...

    Started by PaulS00‎, 24th Aug 2016 01:24 am
    • Replies: 2
    • Views: 178
    Yesterday 01:09 am Go to last post
  12. Text style visual lisp routine not functioning correctly

    I have a lisp routine to update a font from one or more types to a single type. Here it is: (vl-load-com) (defun c:TXSHX (/ new) (setq new "C:/Program Files/Autodesk/AutoCAD...

    Started by JRC123‎, 18th Aug 2016 06:29 pm
    • Replies: 6
    • Views: 309
    24th Aug 2016 09:03 pm Go to last post
  13. Entmake Question

    I have a neat method which was shared with me in this forum that uses the ENTMAKE command to build a polyline with lines and arcs. Works pretty good. If you run this you'll see the basics of what I'm...

    Started by Bill Tillman‎, 24th Aug 2016 03:00 pm
    • Replies: 1
    • Views: 149
    24th Aug 2016 04:01 pm Go to last post
  14. Connecting lines or poly-lines at center of circle

    HI How to connect lines and poly-lines at center of circle, please find attached picture. many thanks

    Started by wal_dab‎, 31st Jul 2016 11:18 am
    • Replies: 8
    • Views: 583
    24th Aug 2016 01:11 pm Go to last post
  15. Help many circle center layout rectangle and rotate rectangle

    Help needed a lisp!! 1.There are many circle center and base on circle center layout rectangle(rectangle can keyin size). 2.Then base on circle center rotate all rectangle for any angle. ...

    Started by Rain0923‎, 19th Aug 2016 04:35 am
    • Replies: 5
    • Views: 307
    24th Aug 2016 07:51 am Go to last post
  16. Labeling polyline (elements from text file)

    Hello, I'm working on sewer planning, so I have to label a ton of 2D polyline segments with its length, slope, pipe type (material), and pipe profile (radius in mm). All of these information's...

    Started by Kevin Malone‎, 6th Aug 2016 09:40 am
    4 Pages
    1 2 3 ... 4
    • Replies: 36
    • Views: 991
    24th Aug 2016 07:15 am Go to last post
  17. Question How to calculate monthly advance in polylines/3dpolylines?

    Good morning, I have a big problem: I need to make an outline of which was advanced on a road. But I'm doing this activity manually. I tried to use the OVERKILL, but it only deletes the...

    Started by toxicsquall‎, 23rd Aug 2016 03:14 pm
    • Replies: 3
    • Views: 181
    23rd Aug 2016 10:58 pm Go to last post
  18. How Do I Turn This Command into a LISP?

    Hello, I have this command: ...that I want to turn into a quick keystroke command. It zeros out all objects in a drawing. Thoughts?

    Started by PaulS00‎, 22nd Aug 2016 05:06 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 374
    23rd Aug 2016 03:02 pm Go to last post
  19. extracting group name????

    how do you export the group name of a line on excel?? i checked all (as in everything!) on dataextraction and nothing there says group Command: Specify opposite corner: Command: list 28 found...

    Started by ktbjx‎, 17th Aug 2016 10:18 pm
    2 Pages
    1 2
    • Replies: 17
    • Views: 598
    23rd Aug 2016 04:23 am Go to last post
  20. Dimension baseline and continue in one?!

    Hello all, I wondered if it's possible to have a kind of command or lisp that gets the continue and baseline command in one single command? In the picture below you see the result I need in one...

    Started by DesmetMartin‎, 17th Aug 2016 12:16 pm
    • Replies: 4
    • Views: 333
    22nd Aug 2016 09:42 am Go to last post
  21. Replace text to filename of drawing problem... (need a fresh look)

    Hi All! This Aleksandr Smirnov (ASMI) program can copy the filename of drawing to Text, MText, Tables, Dimensions and Attributes in Multiple modes with option to insert file name of drawing as...

    Started by danglar‎, 21st Aug 2016 08:23 am
    • Replies: 0
    • Views: 157
    21st Aug 2016 08:23 am Go to last post
  22. convert 3d polyline to separate layer of vertex points, description and elevation tex

    i need to convert 3d polyline to seperate layer that contains vertex 3d points, layer description text for every points and elevation text of every 3d points. For example, i have 3D polyline in...

    Started by wasyazwan‎, 20th Aug 2016 09:35 am
    • Replies: 1
    • Views: 179
    21st Aug 2016 04:38 am Go to last post
  23. Help to open cvs after saving it

    Hi, i have a problem opening the csv automatically, i modified tharwat code but its not open the csv after saving the csv in other folder location.. (defun c:C2XLS (/ sel f o l) (princ "\n...

    Started by Leinad‎, 20th Aug 2016 05:26 pm
    coordinate, csv
    • Replies: 1
    • Views: 193
    21st Aug 2016 03:15 am Go to last post
  24. about lee mac lisp

    Hi, i want to modify lee mac code but it so hard to change because of many code, i want only the chmark command function but if i delete other code it will get an error :( pls help me if it is okay...

    Started by Leinad‎, 20th Aug 2016 05:55 pm
    • Replies: 1
    • Views: 251
    20th Aug 2016 07:21 pm Go to last post
  25. Ncopy

    How to apply ncopy command for selection list in lisp

    Started by rk25134‎, 20th Aug 2016 05:35 pm
    • Replies: 0
    • Views: 190
    20th Aug 2016 05:35 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts